View Issue Details

IDProjectCategoryView StatusLast Update
0032709Open CASCADEOCCT:Samplespublic2021-12-04 12:30
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032709: Samples, MFC - remove samples Viewer2d, Viewer3d, Ocaf, Triangulation, Animation, Convert
DescriptionSince integration of cross-platform Tutorial-alike Qt sample 0031570, it looks unreasonable keeping legacy MFC samples providing the same functionality.

It is proposed removing the following samples that clearly have no added value:
- 03_Viewer2d
- 04_Viewer3d
- 06_Ocaf
- 07_Triangulation
- 09_Animation
- 10_Convert

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031570 closedbugmaster Open CASCADE Samples - add Qt samples similar to standard MFC samples 

Activities

git

2021-12-02 18:58

administrator   ~0105618

Branch CR32709 has been created by kgv.

SHA-1: bda3112f2c25eb9e89b8fefd9e65a3a6bbde84f5


Detailed log of new commits:

Author: kgv
Date: Thu Dec 2 18:54:45 2021 +0300

    0032709: Samples, MFC - remove samples Viewer2d, Viewer3d, Ocaf, Triangulation, Animation, Convert

git

2021-12-02 20:18

administrator   ~0105620

Branch CR32709 has been updated forcibly by kgv.

SHA-1: 567a649489d9b778d17e7f9b603c316e8c3206e3

kgv

2021-12-02 20:19

developer   ~0105621

Patch is ready for review
- OCCT: branch CR32709.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32709-master-KGV/view/SAMPLES/

aml

2021-12-03 07:49

developer   ~0105624

Last edited: 2021-12-03 07:54

Kirill, could you please update naming of the remaining samples?

01_Geometry -> OK
02_Modeling -> OK
05_ImportExport -> 03_ImportExport
08_HLR -> 04_HLR

Documentation should be updated as well:
https://dev.opencascade.org/doc/overview/html/samples_mfc_standard.html

git

2021-12-03 12:19

administrator   ~0105627

Branch CR32709_1 has been created by kgv.

SHA-1: 13b398eaf15873a280ddb6d980118a533c8ad0fc


Detailed log of new commits:

Author: kgv
Date: Fri Dec 3 12:17:01 2021 +0300

    Renamed 05_ImportExport->03_ImportExport, 08_HLR->04_HLR.

Author: kgv
Date: Thu Dec 2 18:54:45 2021 +0300

    0032709: Samples, MFC - remove samples Viewer2d, Viewer3d, Ocaf, Triangulation, Animation, Convert

git

2021-12-03 12:20

administrator   ~0105628

Branch CR32709_2 has been created by kgv.

SHA-1: 1bef3168d96218efa44daf0f3a990cb9bd708925


Detailed log of new commits:

Author: kgv
Date: Thu Dec 2 18:54:45 2021 +0300

    0032709: Samples, MFC - remove samples Viewer2d, Viewer3d, Ocaf, Triangulation, Animation, Convert

kgv

2021-12-03 12:20

developer   ~0105629

Patch has been updated
- OCCT: branch CR32709_2.

aml

2021-12-03 13:13

developer   ~0105631

Reviewed.

- OCCT branch: CR32709_2;

smoskvin

2021-12-04 12:01

administrator   ~0105649

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105661

Branch CR32709 has been deleted by mnt.

SHA-1: 567a649489d9b778d17e7f9b603c316e8c3206e3

git

2021-12-04 12:30

administrator   ~0105662

Branch CR32709_1 has been deleted by mnt.

SHA-1: 13b398eaf15873a280ddb6d980118a533c8ad0fc

git

2021-12-04 12:30

administrator   ~0105663

Branch CR32709_2 has been deleted by mnt.

SHA-1: 1bef3168d96218efa44daf0f3a990cb9bd708925

Related Changesets

occt: master 03eb9603

2021-12-02 15:54:45

kgv


Committer: smoskvin Details Diff
0032709: Samples, MFC - remove samples Viewer2d, Viewer3d, Ocaf, Triangulation, Animation, Convert Affected Issues
0032709
mod - CMakeLists.txt Diff File
add - samples/mfc/standard/03_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff File
add - samples/mfc/standard/03_ImportExport/adm/win/vc10/ImportExport.vcxproj.filters Diff File
add - samples/mfc/standard/03_ImportExport/CMakeLists.txt Diff File
add - samples/mfc/standard/03_ImportExport/res/ImportExport.rc Diff File
add - samples/mfc/standard/03_ImportExport/res/resource.h Diff File
add - samples/mfc/standard/03_ImportExport/res/Toolbar.bmp Diff File
add - samples/mfc/standard/03_ImportExport/src/ColoredShapes.cpp Diff File
add - samples/mfc/standard/03_ImportExport/src/ColoredShapes.h Diff File
add - samples/mfc/standard/03_ImportExport/src/ImportExportApp.cpp Diff File
add - samples/mfc/standard/03_ImportExport/src/ImportExportApp.h Diff File
add - samples/mfc/standard/03_ImportExport/src/ImportExportDoc.cpp Diff File
add - samples/mfc/standard/03_ImportExport/src/ImportExportDoc.h Diff File
add - samples/mfc/standard/03_ImportExport/src/StdAfx.cpp Diff File
add - samples/mfc/standard/03_ImportExport/src/StdAfx.h Diff File
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff File
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj.filters Diff File
rm - samples/mfc/standard/03_Viewer2d/CMakeLists.txt Diff File
rm - samples/mfc/standard/03_Viewer2d/README.txt Diff File
rm - samples/mfc/standard/03_Viewer2d/res/resource.h Diff File
rm - samples/mfc/standard/03_Viewer2d/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/03_Viewer2d/res/Viewer2d.rc Diff File
rm - samples/mfc/standard/03_Viewer2d/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/03_Viewer2d/src/StdAfx.h Diff File
rm - samples/mfc/standard/03_Viewer2d/src/Viewer2dApp.cpp Diff File
rm - samples/mfc/standard/03_Viewer2d/src/Viewer2dApp.h Diff File
rm - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff File
rm - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.h Diff File
add - samples/mfc/standard/04_HLR/adm/win/vc10/HLR.vcxproj Diff File
add - samples/mfc/standard/04_HLR/adm/win/vc10/HLR.vcxproj.filters Diff File
add - samples/mfc/standard/04_HLR/CMakeLists.txt Diff File
add - samples/mfc/standard/04_HLR/README.txt Diff File
add - samples/mfc/standard/04_HLR/res/axoviewd.bmp Diff File
add - samples/mfc/standard/04_HLR/res/axoviewf.bmp Diff File
add - samples/mfc/standard/04_HLR/res/AXOVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BACKVIEWD.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BACKVIEWF.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BACKVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BOTTOMVIEWD.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BOTTOMVIEWF.bmp Diff File
add - samples/mfc/standard/04_HLR/res/BOTTOMVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/ChildFrame2D.bmp Diff File
add - samples/mfc/standard/04_HLR/res/ChildFrame3D.bmp Diff File
add - samples/mfc/standard/04_HLR/res/dummyd.bmp Diff File
add - samples/mfc/standard/04_HLR/res/dummyf.bmp Diff File
add - samples/mfc/standard/04_HLR/res/dummyu.bmp Diff File
add - samples/mfc/standard/04_HLR/res/FRONTVIEWD.bmp Diff File
add - samples/mfc/standard/04_HLR/res/FRONTVIEWF.bmp Diff File
add - samples/mfc/standard/04_HLR/res/FRONTVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/HLR.rc Diff File
add - samples/mfc/standard/04_HLR/res/LEFTVIEWD.bmp Diff File
add - samples/mfc/standard/04_HLR/res/LEFTVIEWF.bmp Diff File
add - samples/mfc/standard/04_HLR/res/LEFTVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/resource.h Diff File
add - samples/mfc/standard/04_HLR/res/RIGHTVIEWD.bmp Diff File
add - samples/mfc/standard/04_HLR/res/RIGHTVIEWF.bmp Diff File
add - samples/mfc/standard/04_HLR/res/RIGHTVIEWU.bmp Diff File
add - samples/mfc/standard/04_HLR/res/Toolbar.bmp Diff File
add - samples/mfc/standard/04_HLR/res/ToolBarObjects.bmp Diff File
add - samples/mfc/standard/04_HLR/res/topviewd.bmp Diff File
add - samples/mfc/standard/04_HLR/res/topviewf.bmp Diff File
add - samples/mfc/standard/04_HLR/res/topviewu.bmp Diff File
add - samples/mfc/standard/04_HLR/src/HLRApp.cpp Diff File
add - samples/mfc/standard/04_HLR/src/HLRApp.h Diff File
add - samples/mfc/standard/04_HLR/src/HLRDoc.cpp Diff File
add - samples/mfc/standard/04_HLR/src/HLRDoc.h Diff File
add - samples/mfc/standard/04_HLR/src/HLRView2D.cpp Diff File
add - samples/mfc/standard/04_HLR/src/HLRView2D.h Diff File
add - samples/mfc/standard/04_HLR/src/HLRView3D.cpp Diff File
add - samples/mfc/standard/04_HLR/src/HLRView3D.h Diff File
add - samples/mfc/standard/04_HLR/src/SelectionDialog.cpp Diff File
add - samples/mfc/standard/04_HLR/src/SelectionDialog.h Diff File
add - samples/mfc/standard/04_HLR/src/StdAfx.cpp Diff File
add - samples/mfc/standard/04_HLR/src/StdAfx.h Diff File
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff File
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj.filters Diff File
rm - samples/mfc/standard/04_Viewer3d/CMakeLists.txt Diff File
rm - samples/mfc/standard/04_Viewer3d/res/AISToolbar.bmp Diff File
rm - samples/mfc/standard/04_Viewer3d/res/AIS_TB.bmp Diff File
rm - samples/mfc/standard/04_Viewer3d/res/resource.h Diff File
rm - samples/mfc/standard/04_Viewer3d/res/resource.hm Diff File
rm - samples/mfc/standard/04_Viewer3d/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/04_Viewer3d/res/Viewer3d.rc Diff File
rm - samples/mfc/standard/04_Viewer3d/src/BoxRadius.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/BoxRadius.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ConvertClickToPoint.cxx Diff File
rm - samples/mfc/standard/04_Viewer3d/src/DlgAttributes.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/DlgAttributes.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/DlgIsos.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/DlgIsos.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ISession_Curve.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ISession_Curve.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ModelClippingDlg.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ModelClippingDlg.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/OCCDemo_Presentation.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/OCCDemo_Presentation.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/OffsetDlg.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/OffsetDlg.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ScaleDlg.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ScaleDlg.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ShadingModelDlg.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/ShadingModelDlg.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/State.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/StdAfx.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/TrihedronDlg.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/TrihedronDlg.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dApp.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dApp.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.h Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff File
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.h Diff File
rm - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff File
rm - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj.filters Diff File
rm - samples/mfc/standard/05_ImportExport/CMakeLists.txt Diff File
rm - samples/mfc/standard/05_ImportExport/res/ImportExport.rc Diff File
rm - samples/mfc/standard/05_ImportExport/res/resource.h Diff File
rm - samples/mfc/standard/05_ImportExport/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/05_ImportExport/src/ColoredShapes.cpp Diff File
rm - samples/mfc/standard/05_ImportExport/src/ColoredShapes.h Diff File
rm - samples/mfc/standard/05_ImportExport/src/ImportExportApp.cpp Diff File
rm - samples/mfc/standard/05_ImportExport/src/ImportExportApp.h Diff File
rm - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.cpp Diff File
rm - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.h Diff File
rm - samples/mfc/standard/05_ImportExport/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff File
rm - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff File
rm - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj.filters Diff File
rm - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff File
rm - samples/mfc/standard/06_Ocaf/res/ActionsTB.bmp Diff File
rm - samples/mfc/standard/06_Ocaf/res/AIS_TB.bmp Diff File
rm - samples/mfc/standard/06_Ocaf/res/Ocaf.rc Diff File
rm - samples/mfc/standard/06_Ocaf/res/Plugin Diff File
rm - samples/mfc/standard/06_Ocaf/res/resource.h Diff File
rm - samples/mfc/standard/06_Ocaf/res/Resources Diff File
rm - samples/mfc/standard/06_Ocaf/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/06_Ocaf/res/UndoRedoTB.bmp Diff File
rm - samples/mfc/standard/06_Ocaf/src/DebugBrowser.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/NewBoxDlg.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/NewBoxDlg.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/NewCylDlg.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/NewCylDlg.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafApp.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafApp.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafDoc.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafMainFrm.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/OcafMainFrm.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/OCAFSample_CommonDriver.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/OCAFSample_CommonDriver.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/OCAFSample_Driver.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_BoxDriver.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_BoxDriver.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CylDriver.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CylDriver.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.hxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Commands.cxx Diff File
rm - samples/mfc/standard/06_Ocaf/src/TOcaf_Commands.hxx Diff File
rm - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff File
rm - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj.filters Diff File
rm - samples/mfc/standard/07_Triangulation/CMakeLists.txt Diff File
rm - samples/mfc/standard/07_Triangulation/res/RCa05792 Diff File
rm - samples/mfc/standard/07_Triangulation/res/resource.h Diff File
rm - samples/mfc/standard/07_Triangulation/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/07_Triangulation/res/Triangulation.rc Diff File
rm - samples/mfc/standard/07_Triangulation/src/ISession_Curve.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/ISession_Curve.h Diff File
rm - samples/mfc/standard/07_Triangulation/src/OCCDemo_Presentation.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/OCCDemo_Presentation.h Diff File
rm - samples/mfc/standard/07_Triangulation/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/StdAfx.h Diff File
rm - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.h Diff File
rm - samples/mfc/standard/07_Triangulation/src/TriangulationApp.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/TriangulationApp.h Diff File
rm - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.cpp Diff File
rm - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.h Diff File
rm - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff File
rm - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj.filters Diff File
rm - samples/mfc/standard/08_HLR/CMakeLists.txt Diff File
rm - samples/mfc/standard/08_HLR/README.txt Diff File
rm - samples/mfc/standard/08_HLR/res/axoviewd.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/axoviewf.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/AXOVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BACKVIEWD.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BACKVIEWF.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BACKVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BOTTOMVIEWD.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BOTTOMVIEWF.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/BOTTOMVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/ChildFrame2D.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/ChildFrame3D.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/dummyd.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/dummyf.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/dummyu.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/FRONTVIEWD.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/FRONTVIEWF.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/FRONTVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/HLR.rc Diff File
rm - samples/mfc/standard/08_HLR/res/LEFTVIEWD.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/LEFTVIEWF.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/LEFTVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/resource.h Diff File
rm - samples/mfc/standard/08_HLR/res/RIGHTVIEWD.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/RIGHTVIEWF.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/RIGHTVIEWU.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/ToolBarObjects.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/topviewd.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/topviewf.bmp Diff File
rm - samples/mfc/standard/08_HLR/res/topviewu.bmp Diff File
rm - samples/mfc/standard/08_HLR/src/HLRApp.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/HLRApp.h Diff File
rm - samples/mfc/standard/08_HLR/src/HLRDoc.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/HLRDoc.h Diff File
rm - samples/mfc/standard/08_HLR/src/HLRView2D.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/HLRView2D.h Diff File
rm - samples/mfc/standard/08_HLR/src/HLRView3D.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/HLRView3D.h Diff File
rm - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/SelectionDialog.h Diff File
rm - samples/mfc/standard/08_HLR/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/08_HLR/src/StdAfx.h Diff File
rm - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff File
rm - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj.filters Diff File
rm - samples/mfc/standard/09_Animation/CMakeLists.txt Diff File
rm - samples/mfc/standard/09_Animation/res/Animation.rc Diff File
rm - samples/mfc/standard/09_Animation/res/child2.bmp Diff File
rm - samples/mfc/standard/09_Animation/res/resource.h Diff File
rm - samples/mfc/standard/09_Animation/res/Toolbar.bmp Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationApp.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationApp.h Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationDoc.h Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/AnimationView3D.h Diff File
rm - samples/mfc/standard/09_Animation/src/Fonc.cxx Diff File
rm - samples/mfc/standard/09_Animation/src/Fonc.hxx Diff File
rm - samples/mfc/standard/09_Animation/src/ShadingDialog.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/ShadingDialog.h Diff File
rm - samples/mfc/standard/09_Animation/src/StdAfx.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/StdAfx.h Diff File
rm - samples/mfc/standard/09_Animation/src/ThreadDialog.cpp Diff File
rm - samples/mfc/standard/09_Animation/src/ThreadDialog.h Diff File
rm - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff File
rm - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj.filters Diff File
rm - samples/mfc/standard/10_Convert/CMakeLists.txt Diff File
rm - samples/mfc/standard/10_Convert/src/Convert_Presentation.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/Convert_Presentation.h Diff File
rm - samples/mfc/standard/10_Convert/src/ISession/ISession_Curve.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/ISession/ISession_Curve.h Diff File
rm - samples/mfc/standard/10_Convert/src/OCCDemo_Presentation.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/OCCDemo_Presentation.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/MainFrm.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/MainFrm.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.rc Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/logopen.bmp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/OCCDemo.ico Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/OCCDemo.rc2 Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/occlogo.bmp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/toolbar.bmp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/res/toolbar1.bmp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/resource.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/ResultDialog.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/ResultDialog.h Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/StdAfx.cpp Diff File
rm - samples/mfc/standard/10_Convert/src/WNT/StdAfx.h Diff File
mod - samples/mfc/standard/All-vc10.sln Diff File
mod - samples/mfc/standard/All-vc11.sln Diff File
mod - samples/mfc/standard/All-vc12.sln Diff File
mod - samples/mfc/standard/All-vc14.sln Diff File
mod - samples/mfc/standard/All-vc141.sln Diff File
mod - samples/mfc/standard/All-vc142.sln Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Face.cpp Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Face.h Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Image.cpp Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Image.h Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Markers.cpp Diff File
rm - samples/mfc/standard/Common/Primitive/Sample2D_Markers.h Diff File
rm - samples/mfc/standard/Common/User_Cylinder.cxx Diff File
rm - samples/mfc/standard/Common/User_Cylinder.hxx Diff File
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff File
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj.filters Diff File
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff File
mod - samples/mfc/standard/ReadMe.md Diff File

Issue History

Date Modified Username Field Change
2021-12-02 18:53 kgv New Issue
2021-12-02 18:53 kgv Assigned To => kgv
2021-12-02 18:54 kgv Relationship added child of 0031570
2021-12-02 18:58 git Note Added: 0105618
2021-12-02 20:18 git Note Added: 0105620
2021-12-02 20:19 kgv Test case number => N/A
2021-12-02 20:19 kgv Note Added: 0105621
2021-12-02 20:19 kgv Assigned To kgv => aml
2021-12-02 20:19 kgv Status new => resolved
2021-12-03 07:49 aml Note Added: 0105624
2021-12-03 07:49 aml Assigned To aml => kgv
2021-12-03 07:49 aml Status resolved => assigned
2021-12-03 07:54 aml Note Edited: 0105624
2021-12-03 12:19 git Note Added: 0105627
2021-12-03 12:20 git Note Added: 0105628
2021-12-03 12:20 kgv Note Added: 0105629
2021-12-03 12:20 kgv Assigned To kgv => aml
2021-12-03 12:21 kgv Status assigned => resolved
2021-12-03 13:13 aml Note Added: 0105631
2021-12-03 13:13 aml Assigned To aml => bugmaster
2021-12-03 13:13 aml Status resolved => reviewed
2021-12-04 12:01 smoskvin Note Added: 0105649
2021-12-04 12:01 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 03eb9603
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105661
2021-12-04 12:30 git Note Added: 0105662
2021-12-04 12:30 git Note Added: 0105663